#!/bin/bash
# Copyright (C) 2007-2013 Centro de Computacao Cientifica e Software Livre
# Departamento de Informatica - Universidade Federal do Parana - C3SL/UFPR
#
# This file is part of database
#
# database is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301,
# USA.

export DB_NAME=$1
#DB_LINK_LOCATION=/usr/share/postgresql/9.1/extension/dblink.sql

# checking parameters
if [[ -z $DB_NAME ]]; then
	echo "usage: $0 [database_name]"
	exit 1
fi


# importing db_link functions
psql $DB_NAME -c 'CREATE EXTENSION dblink;'

# creating database tables and structure
for file in $(ls -B create/); do
	psql $DB_NAME -f create/$file
done

# importing database functions
for file in $(ls -B load/); do
	psql $DB_NAME -f load/$file
done

# restore database data
for file in $(ls -B data/); do
	psql $DB_NAME -f data/$file
done

# importing pre-defined queries
for file in $(ls -B query/); do
	psql $DB_NAME -f query/$file
done

# installing crontab
./cron.sh
