function formatNumber(number)
{
    var nStr = number.toFixed(0);
    var x = nStr.split('.');
    var x1 = x[0];
    var x2 = x.length > 1 ? '.' + x[1] : '';
    var rgx = /(\d+)(\d{3})/;
    while (rgx.test(x1)) {
        x1 = x1.replace(rgx, '$1' + '.' + '$2'); // changed comma to dot here
    }
    return x1 + x2;
}

function formatKBits(kbits)
{
    var unit = ' Kbps';

    if (kbits >= 1000) {
        unit = ' Mbps';
        kbits = kbits / 1024;
    }

    if (kbits >= 1000) {
        unit = ' Gbps';
        kbits = kbits / 1024;
    }

    var nStr = kbits.toFixed(2);
    var x = nStr.split('.');
    var x1 = x[0];
    var x2 = ((parseInt(x[1]) != 0) && (x.length > 1)) ? '.' + x[1] : '';
    var rgx = /(\d+)(\d{3})/;
    while (rgx.test(x1)) {
        x1 = x1.replace(rgx, '$1' + '.' + '$2'); // changed comma to dot here
    }
    return x1 + x2 + unit;
}

function toBoolean(value) {
    if (value && value.length !== 0) {
        var v = ("" + value).toLowerCase();
        value = !(v == 'f' || v == '0' || v == 'false' || v == 'no' || v == 'n' || v == '[]');
    } else {
        value = false;
    }
    return value;
}

function formatDate(date) {
    var day = date.getDate(),
        month = date.getMonth() + 1, //Months are zero based
        year = date.getFullYear(),
        hours = date.getHours(),
        minutes = date.getMinutes(),
        seconds = date.getSeconds();

    if (day < 10)   day = '0' + day;
    if (month < 10) month = '0' + month;
    if (hours < 10) hours = '0' + hours;
    if (minutes < 10) minutes = '0' + minutes;
    if (seconds < 10) seconds = '0' + seconds;

    return day + "/" + month + "/" + year + " " + hours + ":" + minutes + ":" + seconds;
}